Skip Menu |
 

This queue is for tickets about the App-perlbrew CPAN distribution.

Report information
The Basics
Id: 81109
Status: open
Priority: 0/
Queue: App-perlbrew

People
Owner: Nobody in particular
Requestors: zac.3.14159 [...] gmail.com
Cc:
AdminCc:

Bug Information
Severity: Important
Broken in: 0.55
Fixed in: (no value)



Subject: perlbrew switch generates an error
Download (untitled) / with headers
text/plain 1.4k
$ perlbrew switch perl-5.16.2 Can't locate App/perlbrew.pm in @INC (@INC contains: /home/spiderweb/perl5/lib/perl5/x86_64-linux-gnu-thread-multi /home/spiderweb/perl5/lib/perl5 /home/spiderweb/perl5/perlbrew/perls/perl-5.16.2/lib/site_perl/5.16.2/x86_64-linux /home/spiderweb/perl5/perlbrew/perls/perl-5.16.2/lib/site_perl/5.16.2 /home/spiderweb/perl5/perlbrew/perls/perl-5.16.2/lib/5.16.2/x86_64-linux /home/spiderweb/perl5/perlbrew/perls/perl-5.16.2/lib/5.16.2 .) at /usr/local/bin/perlbrew line 6. BEGIN failed--compilation aborted at /usr/local/bin/perlbrew line 6. -bash: syntax error near unexpected token `;' Can't locate App/perlbrew.pm in @INC (@INC contains: /home/spiderweb/perl5/lib/perl5/x86_64-linux-gnu-thread-multi /home/spiderweb/perl5/lib/perl5 /home/spiderweb/perl5/perlbrew/perls/perl-5.16.2/lib/site_perl/5.16.2/x86_64-linux /home/spiderweb/perl5/perlbrew/perls/perl-5.16.2/lib/site_perl/5.16.2 /home/spiderweb/perl5/perlbrew/perls/perl-5.16.2/lib/5.16.2/x86_64-linux /home/spiderweb/perl5/perlbrew/perls/perl-5.16.2/lib/5.16.2 .) at /usr/local/bin/perlbrew line 6. BEGIN failed--compilation aborted at /usr/local/bin/perlbrew line 6. $ perlbrew --version /usr/local/bin/perlbrew - App::perlbrew/0.55 ---------------------------------------------------------------------- Ubuntu 12.10 - amd64 This is perl 5, version 14, subversion 2 (v5.14.2) built for x86_64-linux-gnu-thread-multi Linux linux 3.5.0-18-generic #29-Ubuntu SMP Fri Oct 19 10:26:51 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux - spiderweb
Download (untitled) / with headers
text/plain 2.8k
On Sun Nov 11 14:51:55 2012, spiderweb wrote: Show quoted text
> $ perlbrew switch perl-5.16.2 > Can't locate App/perlbrew.pm in @INC (@INC contains: > /home/spiderweb/perl5/lib/perl5/x86_64-linux-gnu-thread-multi > /home/spiderweb/perl5/lib/perl5 > /home/spiderweb/perl5/perlbrew/perls/perl- > 5.16.2/lib/site_perl/5.16.2/x86_64-linux > /home/spiderweb/perl5/perlbrew/perls/perl-5.16.2/lib/site_perl/5.16.2 > /home/spiderweb/perl5/perlbrew/perls/perl-5.16.2/lib/5.16.2/x86_64- > linux > /home/spiderweb/perl5/perlbrew/perls/perl-5.16.2/lib/5.16.2 .) at > /usr/local/bin/perlbrew line 6. > BEGIN failed--compilation aborted at /usr/local/bin/perlbrew line 6. > -bash: syntax error near unexpected token `;' > Can't locate App/perlbrew.pm in @INC (@INC contains: > /home/spiderweb/perl5/lib/perl5/x86_64-linux-gnu-thread-multi > /home/spiderweb/perl5/lib/perl5 > /home/spiderweb/perl5/perlbrew/perls/perl- > 5.16.2/lib/site_perl/5.16.2/x86_64-linux > /home/spiderweb/perl5/perlbrew/perls/perl-5.16.2/lib/site_perl/5.16.2 > /home/spiderweb/perl5/perlbrew/perls/perl-5.16.2/lib/5.16.2/x86_64- > linux > /home/spiderweb/perl5/perlbrew/perls/perl-5.16.2/lib/5.16.2 .) at > /usr/local/bin/perlbrew line 6. > BEGIN failed--compilation aborted at /usr/local/bin/perlbrew line 6. > $ perlbrew --version > /usr/local/bin/perlbrew - App::perlbrew/0.55 > ---------------------------------------------------------------------- > Ubuntu 12.10 - amd64 > > This is perl 5, version 14, subversion 2 (v5.14.2) built for > x86_64-linux-gnu-thread-multi > > Linux linux 3.5.0-18-generic #29-Ubuntu SMP Fri Oct 19 10:26:51 UTC > 2012 > x86_64 x86_64 x86_64 GNU/Linux > > - > > spiderweb
This also happens with perlbrew use: shlomif@telaviv1:~$ perlbrew use perl-5.16.2 Can't locate App/perlbrew.pm in @INC (@INC contains: /home/shlomif/apps/perl/modules/lib/perl5/site_perl/5.16.2 /home/shlomif/apps/perl/modules/lib/perl5/site_perl/5.16.1 /home/shlomif/apps/perl/modules/lib/perl5/site_perl/5.16.0 /home/shlomif/apps/perl/modules/lib/site_perl/5.16.2 /home/shlomif/apps/perl/modules/lib/site_perl/5.16.1 /home/shlomif/apps/perl/modules/lib/site_perl/5.16.0 /home/shlomif/apps/perl/modules/lib/perl5/5.16.2 /home/shlomif/apps/perl/modules/lib/perl5/5.16.1 /home/shlomif/apps/perl/modules/lib/perl5/5.16.0 /home/shlomif/apps/perl/perlbrew/perls/perl-5.16.2/lib/site_perl/5.16.2/x86_64-linux /home/shlomif/apps/perl/perlbrew/perls/perl-5.16.2/lib/site_perl/5.16.2 /home/shlomif/apps/perl/perlbrew/perls/perl-5.16.2/lib/5.16.2/x86_64-linux /home/shlomif/apps/perl/perlbrew/perls/perl-5.16.2/lib/5.16.2 .) at /usr/bin/perlbrew line 6. BEGIN failed--compilation aborted at /usr/bin/perlbrew line 6. shlomif@telaviv1:~$ which perl /usr/bin/perl shlomif@telaviv1:~$ Too bad the App-perlbrew bug tracker has become a wasteland and the maintainer does not seem to close the bugs promptly. Regards, -- Shlomi Fish


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.